import unittest
import io
import contextlib
from unittest.mock import patch

from tmc import points

from tmc.utils import load, get_stdout
main = load('src.main', 'main')
factorial = load('src.main','factorial')

@points('4.1')
class MainTest(unittest.TestCase):
    def test_00_something_is_printed(self):
        self.longMessage = False
        main()
        printed = get_stdout()
        if not printed:
            self.fail('Et tulostanut mitään!')

    def test_01_prints_correct_last_line(self):
        self.longMessage = False
        main()
        printed = get_stdout()
        self.assertRegex(printed, ".*Kaikki erilaiset kolmen nopan heitot 216 kpl, joista kiinnostavia 33 kpl.*", msg="Tarkista vielä viimeisen rivin muoto")
        
